libcloud-notifications mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From build...@apache.org
Subject svn commit: r798336 - /websites/staging/libcloud/trunk/content/upgrade-notes-0-6.html
Date Wed, 09 Nov 2011 01:25:52 GMT
Author: buildbot
Date: Wed Nov  9 01:25:52 2011
New Revision: 798336

Log:
Staging update by buildbot

Modified:
    websites/staging/libcloud/trunk/content/upgrade-notes-0-6.html

Modified: websites/staging/libcloud/trunk/content/upgrade-notes-0-6.html
==============================================================================
--- websites/staging/libcloud/trunk/content/upgrade-notes-0-6.html (original)
+++ websites/staging/libcloud/trunk/content/upgrade-notes-0-6.html Wed Nov  9 01:25:52 2011
@@ -106,6 +106,17 @@ vulnerable to a man-in-the-middle attack
 </pre></div>
 
 
+<ul>
+<li>OpenNebula driver now defaults to using OpenNebula 3.0 API</li>
+</ul>
+<p>To preserve the old behavior and use OpenNebula 1.4 API, pass
+<code>api_version='1.4'</code> keyword argument to the driver constructor.</p>
+<p>For example:</p>
+<div class="codehilite"><pre><span class="n">Cls</span> <span
class="o">=</span> <span class="n">get_provider</span><span class="p">(</span><span
class="n">Provider</span><span class="o">.</span><span class="n">OPENNEBULA</span><span
class="p">)</span>
+<span class="n">driver</span> <span class="o">=</span> <span class="n">Cls</span><span
class="p">(</span><span class="s">&#39;key&#39;</span><span
class="p">,</span> <span class="s">&#39;secret&#39;</span><span
class="p">,</span> <span class="n">api_version</span><span class="o">=</span><span
class="s">&#39;1.4&#39;</span><span class="p">)</span>
+</pre></div>
+
+
 <p>For a whole list of the changes, please refer to the <a href="https://svn.apache.org/viewvc/libcloud/tags/0.6.0-beta1/CHANGES?revision=1186097&amp;view=markup">Changelog</a>.</p>
       
     </div>



Mime
View raw message